# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
title: Graphviz - Graph Visualization Software
description: > # this means to ignore newlines until "baseurl:"
  Write an awesome description for your new site here. You can edit this
  line in _config.yml. It will appear in your document head meta (for
  Google search results) and in your feed.xml site description.
baseurl: "" # the subpath of your site, e.g. /blog
url: "https://graphviz.org" # the base hostname & protocol for your site, e.g. http://example.com
gitlab_repo: https://gitlab.com/graphviz/graphviz.gitlab.io

# Build settings
sass:
  sass_dir: _sass
include: ['_pages']
markdown: kramdown
kramdown:
  input: GFM
# theme: jekyll-theme-cayman
plugins: ['jekyll-redirect-from']
whitelist: ['jekyll-redirect-from']
gems:
exclude:
  - Gemfile
  - Gemfile.lock
  - LICENSE
  - README.md
  - tests/
  - vendor

strict_front_matter: true
